* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    font-family: sans-serif;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    scroll-behavior: smooth;
}

:after,
:before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

a {
    text-decoration: none;
}

a:focus,
button:focus,
input:focus,
select:focus,
textarea:focus {
    outline: 0 !important;
    outline-offset: 0 !important
}
html, body {
    font-family: 'Montserrat', sans-serif;
}
body {
   background: #000;
   color: #f7f5f5;
   line-height: 1.6;
   height: 3000px;

}
main{
    flex: 1;
    min-height: 100vh;
}

.container {
    position: relative;
    box-sizing: border-box;
    width: calc(100% - 160px);
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
}
.mobile {
    display: none !important;
}

.d-grid {
    display: grid;
}
.d-flex {
    display: flex;
}
.hidden {
  opacity: 0;
  position: relative;
  transform: translateY(40px);
  transition: all 0.8s ease;
}

.visible {
  opacity: 1;
  transform: translateY(0);
}
.section-padding {
    padding: 40px 0;
}

input,
textarea,
select {
    padding: 10px 12px;
    border: 2px solid #ddd;
    color: #000;
    border-radius: 8px;
    outline: none;
    appearance: none;
    width: 100%;
    
}
input:focus,
textarea:focus,
select:focus{
    border-color: #23559B;
}
button {
    cursor: pointer;
    border: none;
    outline: none;
    background: none;
}
button:hover {
    opacity: 0.9;
}
h1, h2, h3, h4, h5, h6 {
    font-family: 'Montserrat', sans-serif;
}
ul{
    list-style: none;
}

.menu-bar-container {
    padding: 20px 0;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 999;
}
.menu-bar {
    display: flex;
    align-items: center;
    gap: 40px;
    justify-content: space-between;
    background: #050001;
    padding: 20px;
    border-radius: 999px;
}
.nav-brand {
    font-size: 24px;
    font-weight: 700;
    color: #e6bcc4;
}
.nav-brand span {
    color: #e6bcc4;
}
nav {
    display: flex;
    align-items: center;
    gap: 30px;
}
nav a {
    font-size: 16px;
    color: #f7f5f5;
    font-weight: 500;
    position: relative;
    transition: all 0.3s ease;
    margin: 0 20px;
}
.top-btn a {
    display: flex;
    align-items: center;
    gap: 10px;
    background: #e6bcc4;
    padding: 15px 25px;
    border-radius:999px;
    font-size: 15px;
    font-weight: 500;
    color: #000;
    transition: all 0.3s ease;
    border: 1px solid #e6bcc4;
    min-width: 180px;
    justify-content: center;
}
.top-btn a svg {
    display: block;
}
.banner img {
    width: 100%;
    display: block;
}
.banner{
    border-bottom: 5px solid #050001;
}
.section-title{
    text-align: center;
}
.section-title h1, .section-title .h1{
    font-size: 36px;
    position: relative;
    color: #050001;
    margin-bottom: 15px;
    font-weight: bold;
    font-family: 'Montserrat', sans-serif;
}
.section-title p{
    font-size: 18px;
    color: #000;
}
.profile-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    margin-top: 30px;
}
.profile-card{
    background-color: #464f15;
    border-radius: 10px;
    padding: 15px;
    overflow: hidden;
    position: relative;
}
.profile-card::after {
    content: "";
    width: 100%;
    height: 159px;
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: #050001;
    border-radius: 10px;
    z-index: -2;
    transform: translateY(-100px);
    transition: all 0.4s ease-in-out;
    opacity: 0;
    visibility: hidden;
    z-index: 1;
}
.profile-card:hover::after {
    transform: translateY(0px);
    opacity: 1;
    visibility: visible;
}
.prof-img{
    position: relative;
    overflow: hidden;
    border-radius: 10px;
}
.prof-img img{
    width: 100%;
    display: block;
    transition: all 0.3s ease;
}
.prof-img-spec{
    position: absolute;
    top: 10px;
    left: 10px;
    color: #f7f5f5;
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 12px;
    z-index: 10;
}
.gallery-ico{
    padding: 7px 10px;
    border-radius: 60px;
    background: #050001;
}
.gallery-ico svg{
    display: block;
    width: 20px;
    height: 20px;
}
.prof-img-category{
    padding: 7px 10px;
    border-radius: 60px;
    background: #050001;
}
.prof-contact{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    margin-top: 15px;
    padding: 12px;
    border-radius: 0 0 10px 10px;
    background-color: #050001;
    position: relative;
}
.prof-contact::before{
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 1px;
    height: 30px;
    background-color: #bd636d;
    z-index: 9;
}
.prof-contact a{
    flex: 1;
    color: #f7f5f5;
    font-size: 14px;
    font-weight: 500;
    z-index: 10;
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: center;
}
.prof-contact a svg{
    display: block;
    width: 18px;
    height: 18px;
}
.prof-details{
    padding: 15px;
}
.prof-details h3{
    font-size: 24px;
    color: #000;
    margin-bottom: 5px;
}
.rate p{
    font-size: 16px;
    font-weight: 600;
    color: #000;
    margin-top: 15px;
    margin-bottom: 15px;
}
.rate p span{
    color: #050001;
}
.prof-location p{
    font-size: 16px;
    color: #000;
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 15px;
}
.prof-location p span:first-child svg path{
    fill: #050001;
}
.prof-location p span:first-child svg{
    width: 20px;
    height: 20px;
}
.prof-location p span{
    display: block;
}
.other-spec{
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 15px;
}
.other-spec p{
    display: flex;
    align-items: center;
    background: #050001;
    padding: 5px 10px;
    border-radius: 20px;
    color: #f7f5f5;
}
.other-spec p svg{
    display: block;
    width: 13px;
    height: 13px;
    margin-right: 10px;
}
.profile-card:hover .prof-img img{
    transform: scale(1.1);
    transition: all 0.3s ease;
}
.prof-info{
    transition: all 0.3s ease;
    border-radius: 0 0 10px 10px;
    position: relative;
    z-index: 2;
}
.profile-card:hover .prof-info{
    background-color: #000;
    transition: all 0.3s ease;
}
.profile-card:hover .prof-contact{
    background: #000;
    border-bottom: 1px solid #352a2a;
    border-radius: 0;
}
.profile-card:hover .prof-details h3, .profile-card:hover .rate p, .profile-card:hover .prof-location p{
    color: #f7f5f5;
    transition: all 0.3s ease;
}
.profile-card:hover .prof-contact::before{
    background-color: #352a2a;
    transition: all 0.3s ease;
}
.banner-bottom{
    background: #050001;
}
.banner-bottom-grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    padding: 40px 0;
}
.banner-bottom-spec{
    position: relative;
    background-color: #e6bcc4;
    display: flex;
    justify-content: space-between;
    z-index: 1;
    border-radius: 100px;
    gap: 18px;
    overflow: hidden;
}
.banner-bottom-spec span{
    display: block;
    font-size: 18px;
    font-weight: 700;
    color: #000;
}
/* .banner-bottom-spec img{
    border-radius: 0px 100px 100px 0px;
    border: 7px solid var(--zoomvilla-white, #f7f5f5FFF);
    width: 100%;
    display: block;
} */
.banner-bottom-spec-ico {
    width: 88px;
    height: 88px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 34px;
    background-color: rgb(245, 146, 157);
    /* background-color: #050001; */
    margin: 12px 0px 12px 12px;
    border-radius: 50%;
    transition: 0.4s ease-in-out;
    overflow: hidden;
    padding: 10px;
}
.banner-bottom-spec-ico img {
    width: 100%;
    display: block;
    transition: 0.4s ease-in-out;
}
.spec-text{
    display: flex;
    align-items: center;
    gap: 15px;
}
.spec-img img{
    display: block;
    width: 100%;
    height: 100%;
    border: 5px solid #f7f5f5;
    border-radius: 0 100px 100px 0;
}
.banner-bottom p{
    font-size: 18px;
    font-weight: 600;
    color: #f7f5f5;
    text-align: center;
}
.welcom-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    border-bottom-right-radius: 30px;
}
.welcom-img{
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    z-index: -1;
    overflow: hidden;
}
.welcome-text-cont{
    display: grid;
    grid-template-columns: 40% 60%;
    
}
.welcome-text{
    margin: 120px 0;
    padding: 40px;
     backdrop-filter: blur(4px) saturate(145%);
    -webkit-backdrop-filter: blur(4px) saturate(145%);
    background-color: rgba(255, 255, 255, 0.36);
    border-radius: 12px;
    border: 1px solid rgba(209, 213, 219, 0.3);
    border-radius: 30px 0 0 30px;
}
.welcom-section{
    position: relative;
    overflow: hidden;
    /* padding: 200px 0; */
}
.welcome-text h1{
    font-size: 28px;
    color: #000;
}
.welcome-text p{
    font-size: 16px;
    color: #000;
    line-height: 30px;
    margin-top: 15px;
}
.duo-esorts{
    background-color: #464f15;
}
.duo-escorts-img{
    display: flex;
}
.duo-escorts-img a{
    flex: 1;
    display: block;
    overflow: hidden;
    border-radius: 0;
}
.duo-escorts-img a img{
    width: 100%;
    display: block;
    border-radius: 0;
}
.available{
    display: flex;
    align-items: center;
    gap: 5px;
    backdrop-filter: blur(4px) saturate(145%);
    -webkit-backdrop-filter: blur(4px) saturate(145%);
    background-color: rgba(0, 0, 0, 0.36);
    padding: 5px;
    border-radius: 20px;
}
.available span{
    display: block;
}
.available span:first-child{
    width: 12px;
    height: 12px;
    background-color: #4CAF50;
    border-radius: 50%;
    display: inline-block;
}
.text-content{
    display: grid;
    grid-template-columns: 20% 80%;
    gap: 30px;
    color: #f7f5f5;
    border-radius: 20px;
    overflow: hidden;
    margin-bottom: 15px;
}
.text-content img{
    width: 100%;
    display: block;
}
.text-bg-accod-img-1{
    background: #000;
}
.text-content-col{
    padding: 40px;
}
.text-content-col h2{
    font-size: 24px;
    margin-bottom: 15px;
}
.text-content-col h3{
    font-size: 18px;
    margin-bottom: 10px;
}
.text-content-col p{
    font-size: 16px;
    line-height: 30px;
}
.categories-grid-1{
    display: grid;
    grid-template-columns: calc(25% - 30px) calc(25% - 30px) calc(50% - 30px);
    gap: 30px;
}
.categories-grid-2{
    display: grid;
    grid-template-columns: calc(25% - 30px) calc(25% - 30px) calc(25% - 30px) calc(25% - 30px);
    gap: 30px;
    margin-top: 30px;
}
.category-card{
    padding: 20px;
    border-radius: 20px;
    background: #050001;
}
.category-card-border{
    border: 1px solid #bd636d;
    border-radius: 20px;
    padding: 15px;
}
.category-img{
    width: 250px;
    height: 250px;
    border-radius: 50%;
    overflow: hidden;
    margin: 0 auto;
}
.category-img img{
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}
.category-text{
    text-align: center;
    color: #f7f5f5;
}
.category-text h3{
    font-size: 18px;
    margin-bottom: 10px;
    margin-top: 10px;
}
.category-text p{
    font-size: 16px;
    line-height: 26px;
}
.category-text a{
    display: inline-block;
    margin-top: 15px;
    background: #464f15;
    color: #000;
    padding: 10px 20px;
    border-radius: 999px;
    font-size: 14px;
    font-weight: 500;
}
.cat-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    border-radius: 20px;
}
.location-grid{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
}
.location-grid a{
    display: block;
    border-radius: 20px;
    overflow: hidden;
    padding: 8px 25px;
    background: #050001;
    color: #f7f5f5;
    text-align: center;
    font-size: 16px;
    font-weight: 500;
}
.location{
    background: url(../images/loc-bg.jpg) no-repeat center center/cover;
    background-attachment: fixed;
    padding: 100px 0;
}

.footer {
  background: #111;
  color: #f7f5f5;
  padding: 60px 10%;
  font-family: Arial, sans-serif;
}

.footer-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 40px;
}

.footer-box h2,
.footer-box h3 {
  margin-bottom: 20px;
  font-size: 20px;
}

.footer-box p {
  font-size: 14px;
  line-height: 1.6;
  color: #ccc;
}

.footer-box ul {
  list-style: none;
  padding: 0;
}

.footer-box ul li {
  margin-bottom: 10px;
}

.footer-box ul li a {
  color: #ccc;
  text-decoration: none;
  transition: 0.3s;
}

.footer-box ul li a:hover {
  color: #f7f5f5;
  padding-left: 5px;
}

.social-icons a {
  display: block;
  margin-bottom: 10px;
  color: #ccc;
  text-decoration: none;
  transition: 0.3s;
}

.social-icons a:hover {
  color: #f7f5f5;
}

.footer-bottom {
  text-align: center;
  padding-top: 40px;
  border-top: 1px solid #333;
  margin-top: 40px;
  font-size: 14px;
  color: #aaa;
}

.nowcalling {
    display: block;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 9999;
}
.lcol, .rcol {
    float: left;
    width: 50%;
}
.lcol {
    background-color: #14141f;
}
.lcol a, .rcol a {
    display: block;
    padding: 10px 0;
    text-align: center;
    text-decoration: none;
    color: #f7f5f5;
}
.rcol {
    background-color: #3390ec;
}

nav {
  display: flex;
  gap: 20px;
}

.menu-ico{
  display: none;
  font-size: 25px;
  cursor: pointer;
}

.city_droupdown_bg{background:#0e0e0e; padding:15px 0; text-align:center; min-height:inherit; }
.select-option{display:inline-flex; align-items:center; justify-content:space-between;}
.select-option select{background:#050001; padding:14px 10px; border-radius:0px; border:#050001 solid 1px; color:#f7f5f5; font-size:15px; width:700px;}
.select-option label{color:#f7f5f5; font-size:17px; font-weight:500; text-transform:uppercase; margin-right:15px;margin-bottom:0;}
.select-option label span{animation:.5s infinite alternate mover; font-size:20px; line-height:16px; margin-left:15px; display:inline-block;}
.select-option button{background: #ff001c ;padding: 8px 20px 4px;cursor: pointer;height: 47px;border: none;}
.select-option .d-flex{display:flex; align-items:center; justify-content:center;}



/* Mobile */
@media (max-width:768px){

  .menu-ico{
        display: block;
        color: #f7f5f5;
        border: solid 1px #f7f5f5;
        padding: 0px 12px;
  }

  .nav-menu{
    display: none;
    flex-direction: column;
    background:#000;
    position:absolute;
    top:60px;
    left:0;
    width:100%;
    padding:20px;
  }

  .nav-menu a{
    color:#f7f5f5;
    padding:10px 0;
    text-decoration:none;
  }

  .nav-menu.active{
    display:flex;
    padding: 10px 20px;
  }
  .top-btn{
    display: none;
  }
  .nav-brand {
      font-size: 20px;
  }
  .banner {
      border-bottom: 5px solid #050001;
      padding-top: 65px;
      background: #000000;
  }
  .select-option select {
      width: 300px;
  }
  .menu-bar-container {
      padding: 0px 0;
  }
  .menu-bar-container .container {
      width: calc(100% - 0px);
  }
  nav {
      gap: 3px;
  }

}

@media only screen and (max-width: 599px) {
  .grid-container, .welcome-text-cont, .text-content, .categories-grid-1, .categories-grid-2, .profile-grid, .banner-bottom-grid {
    grid-template-columns: 1fr; 
  }
  .container {
      width: calc(100% - 30px);
  }
  .text-content-col {
      padding: 10px;
  }
  .location-grid {
      grid-template-columns: repeat(2, 1fr);
  }
  .welcome-text {
      margin: 40px 0;
      padding: 20px;
  }
  .menu-bar {
        gap: 10px;
        justify-content: space-between;
        background: #050001;
        padding: 12px;
        border-radius: 0;
  }
}
